Bug 1576492 (CVE-2018-1131)

Summary: CVE-2018-1131 infinispan: deserialization of data in XML and JSON transcoders
Product: [Other] Security Response Reporter: Chess Hazlett <chazlett>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: aileenc, avibelli, bgeorges, bmaxwell, cdewolf, chazlett, csutherl, darran.lofthouse, dimitris, dosoudil, drieden, fgavrilo, gfernand, gvarsami, jawilson, jbalunas, jcoleman, jolee, jondruse, jpallich, jschatte, jshepherd, jstastny, kconner, krathod, ldimaggi, lgao, loleary, lthon, mszynkie, myarboro, nwallace, pdrozd, pgallagh, pgier, pjurak, ppalaga, psakar, pslavice, psotirop, rfreire, rnetuka, rruss, rstancel, rsvoboda, rwagner, security-response-team, spinder, sstavrev, sthorger, tcunning, theute, tkirby, trogers, twalsh, vhalbert, vtunka
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Infinispan 9.4.0.Final, Infinispan 9.3.1.Final Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:22:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1614544, 1698286, 1698425, 1698426    
Bug Blocks: 1576475    

Description Chess Hazlett 2018-05-09 15:21:17 UTC
Infinispan permits improper deserialization of trusted data via XML and JSON transcoders under certain server configurations. A user with authenticated access to the server could send a malicious object to a cache configured to accept certain types of objects, achieving code execution and possible further attacks.

Comment 5 errata-xmlrpc 2018-06-12 10:48:36 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid

Via RHSA-2018:1833 https://access.redhat.com/errata/RHSA-2018:1833

Comment 15 errata-xmlrpc 2019-11-14 21:17:52 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.5.0

Via RHSA-2019:3892 https://access.redhat.com/errata/RHSA-2019:3892